> For the complete documentation index, see [llms.txt](https://docs.flatredball.com/flatredball/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flatredball.com/flatredball/api/ios/uikit-uiviewcontroller.md).

# uikit-uiviewcontroller

### Introduction

The UIViewController class can be used to display native user interfaces on iOS platforms. Common examples include a text box for entering a username, or displaying Game Center leaderboards. For API reference on UIViewController, see [this page](http://developer.xamarin.com/api/type/UIKit.UIViewController/). For a guide on creating iOS UI in code, see [this page](http://developer.xamarin.com/guides/ios/application_fundamentals/ios_code_only/).

### Accessing the Root UIViewController

The root UIViewController can be used to present custom view controllers. For example, if your project contains a UIViewController named MyLoginViewController, you can display it as follows:

```csharp
var loginViewController = new MyLoginViewController();
var rootViewController = FlatRedBallServices.Game.Services.GetService(typeof(UIViewController)) as UIViewController;

bool animated = false;
Action completionHandler = null;

rootViewController.PresentViewController(loginViewController, animated, completionHandler);
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.flatredball.com/flatredball/api/ios/uikit-uiviewcontroller.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
